ProducerSync API

Get contact information for subscribed NPNs

Returns all contact information records for NPNs you are currently subscribed to.

If no query parameters are provided in the request, then the response will include all contact
information for all currently subscribed NPNs. To maximize effectiveness, we strongly
recommend using at least one parameter to narrow your results.

get
https://api.sandbox.agentsync.io/v2/contactInfos

Query Parameters

npnsarray[string]

comma separated list of National Producer Numbers (NPNs)

Example:123456789, 987654321

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get contact information for a specific NPN

Returns all contact information associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.

get
https://api.sandbox.agentsync.io/v2/entities/{npn}/contactInfos

Query Parameters

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Path Parameters

npnstringrequired

National Producer Number (npn) of the data to return

Example:123456789

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get contact information by ID

Retrieves a single contact information record using its unique contact information ID.

get
https://api.sandbox.agentsync.io/v1/contactInfos/{id}

Path Parameters

idintegerrequired

Unique contact information ID

Response

application/hal+json

Success

ContactInfosV1

Common contact information fields shared across versions.

idinteger(int64)

Unique identifier for the contact information.

Example:1234567

npnstring

National Producer Number associated with the contact information.

Example:18551108

transactionIdstring(uuid)

Example:ae51f10b-8b5e-40ba-98a9-8f860392b344

typestring

Type of contact information.

Allowed values:BUSINESS_PHONEBUSINESS_EMAILFAX

Example:BUSINESS_EMAIL

forStatestring

State where the contact information applies.

>= 2 characters<= 2 characters

Example:AL

branchIdstring

Identifier for a related branch, if applicable.

niprDateUpdatedstring(date)

Last date NIPR reported an update to this contact information.

Example:2024-12-01

createdAtstring(date)

Date of the creation of this record in AgentSync.

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync.

Example:2024-12-02

valuestring

The contact information itself (phone number, email, etc.)

Example:apis.rock@agentsync.io

niprDeletedboolean

Indicates if the contact information was marked deleted by NIPR.

linksobject
Show Child Parameters
 
application/hal+json

Producer Entities

Entity information for producers

Get entities for subscribed NPNs

Returns all entity records for NPNs you are currently subscribed to.

If no query parameters are provided in the request, then the response will include all entities
for all currently subscribed NPNs. To maximize effectiveness, we strongly recommend using at least one
parameter to narrow your results.

get
https://api.sandbox.agentsync.io/v2/entities

Query Parameters

npnsarray[string]

comma separated list of National Producer Numbers (NPNs)

Example:123456789, 987654321

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json